#!/bin/bash
# XPDX-License-Identifier: GPL-2.0+"

set -x
set -e

cd /etc/pinball

source pinball.env.sh

chmod u+rx *.sh

install -d /etc/default
install  pinball /etc/default/pinball

systemctl get-default | grep 'graphical.target'

journalctl --rotate \
    && journalctl --vacuum-time=1s
		  
systemctl stop pinball ||:
systemctl stop weston ||:
systemctl stop xinit ||:

systemctl disable pinball ||:
systemctl disable weston ||:
systemctl disable xinit ||:


if [ "${PINBALL_DISPLAY_MANAGER}" = "weston" ] ; then
    install -d /etc/weston
    install weston.ini /etc/weston/

    systemctl enable ${PWD}/${PINBALL_DISPLAY_MANAGER}.service
    systemctl enable ${PWD}/pinball.service
    systemctl restart pinball
fi

systemctl daemon-reload ||:
# TODO install from /lib/systemd/system/ on debian
systemctl enable ${PWD}/${PINBALL_DISPLAY_MANAGER}.service
systemctl restart ${PINBALL_DISPLAY_MANAGER}

journalctl -u ${PINBALL_DISPLAY_MANAGER} | tail

journalctl -u ${PINBALL_DISPLAY_MANAGER} -f | less

systemd-analyze --user critical-chain
